رفع مشکلاتی که هنگام بروزرسانی وردپرس به نسخه جدید اتفاق می افتد

با سلام خدمت همراهان گرامی نوین وردپرس

در روز های اخیر شاهد این بودیم که وردپرس نسخه های جدیدی را ارائه داده است و ما طبق عادت می توانستیم با کلیک یک لینک آنرا به آسانی آپدیت و از آن لذت ببریم، اما در نسخه های بعد از ۴٫۸٫۱ موقع آپدیت کردن افزونه ها و وردپرس با خطاهای ناشناخته ای روبرو می شویم که این خطاها خسته کننده است و در بعضی اوقات برای اینکه کارمان سریع تر پیش برود از طریق هاست اقدام به آپدیت افزونه ها و وردپرس می کردیم. اما لطفا با ما همراه باشید تا راه حل هایی را بررسی کنیم تا بتوانید وردپرس را بصورت خودکار آپدیت کنید.

←عواملی که باعث می شود بروزرسانی با شکست مواجه شود…

  • به احتمال زیاد افزونه های امنیتی را بر روی سایت خود فعال کرده اید.
  • یا سطح دسترسی پوشه های وردپرس تنظیم نشده است.
  • زمان دهی پاسخ سرور از حد معمول کم باشد.
  • یا یکی دیگر از عامل شکست می تواند حداکثر حافظه تعیین شده برای فایل های PHP اشاره کرد.

 

اگر زمانی قصد آپدیت از طریق پیشخوان داشتید اما خطای زیر را برای شما نشان بدهد چیکار میکنید منظور از این خطاها چیست ؟

Downloading update from http://wordpress.org/wordpress-4.8.1.zip
Unpacking the update
Verifying the unpacked files
Installing the latest version
Could not copy file.: /httpdocs/wordpress/wp-admin/…/……..js
Installation Failed

←هنگامی که با چنین پیغامی روبرو شدید:

  • به مسیر هایی که در اخطار ها اشاره شده است توجه فرمایید، بطور مثال در خط پنجم خطای فوق نشان می دهد که در این مسیر هنگام آپدیت وردپرس نتوانسته این فایل را بصورت کامل کپی کند.
  • یا زمانی فرا می رسد که بروزرسانی شما با خطا مواجه میشود اما مشکلی را برای شما نشان نمی دهد…در این هنگام ممکن است آدرس IP شما برای ورود به پیشخوان و آپدیت قفل شده است و شما می توانید با تغییر آی پی اقدام به آپدیت کنید.

 

←مشاهده سطح دسترسی پوشه های مربوط به وردپرس:

شما می توانید از طریق هاست خود به مسیر wp-content/upgrade مراجعه کنید و سپس دنبال فایل wordpress-4.tmp باشید و سپس دسترسی این فایل را به ۷۷۷ تغییر دهید.

که برای اینکار می توانید از آموزش روبرو کمک بگیرید… آموزش نحوه تغییر دسترسی فایل های هاست

 

←حالت ایمن را در وردپس غیر فعال کنید.

یکی دیگر از احتمالات دیگری که می تواند هنگام بروز رسانی وردپرس برای شما مانع باشد حالت ایمن وردپرس می باشد که در این حالت می توانید آنرا غیر فعال کنید اما چطور؟

این حالت در PHP نسخه ۵٫۳٫۰ در دسترس است و شما می توانید حالت Safe Mode یا همان حالت ایمن را غیر فعال کنید…

اگر مدیر سرور هستید که خودتان هم می توانید اینکار را انجام دهید، اما اگر نیستید به مدیر سرور خود اطلاع دهید کد زیر را در فایل (  httpd.config ) جایگذاری کند تا حالت امن سرور سایت شما غیر فعال شود.

<Directory /var/www/public>
  php_admin_flag safe_mode off
</Directory>

 

اگر شما راه حل های بالا را بصورت کامل انجام بدهید به احتمال بسیار قوی دیگر خطایی هنگام آپدیت وردپرس برای شما نشان داده نمی شود و شما می توانید با خیال راحت و در هر زمانی که وردپرس بروز رسانی را ارائه داد شما هم وردپرس خود را ارتقا بدهید.

اگر هنگام مطالعه این مطلب برای شما سوالی پیش آمد می توانید از طریق بخش دیدگاه این آموزش سوال خود را مطرح بفرمایید. با تشکر از شما

راستی ! با عضویت در کانال تلگرام نوین وردپرس حتی یک مطلب وردپرس را هم از دست نخواهید داد...             عضویت در کانال

یک پیشنهاد برای شما:

ارسال دیدگاه

آدرس ایمیل شما منتشر نخواهد شد. فیلد های ضروری با * مشخص شده است.

کد امنیتی زیر را وارد کنید: *

کد امنیتی زیر را وارد کنید: *